package com.bocloud.cmp.model;

import java.util.Date;

/**
 * 资源池bean
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年11月24日
 */
public class ResourcePoolBean {
    private Long id;// ID
    private String name;// 资源池名称
    private String oldName;// 资源池旧名称
    private Date gmtModify;// 最后修改时间
    private Long cpuReservation;// CPU预留
    private Boolean cpuExpanReservation;// CPU可扩展预留
    private Long cpuLimit;// CPU限制
    private int cpuShares;// CPU份额值
    private String cpuShareLevel;// CPU份额(low低/normal正常/high高/custom自定义)
    private Long memReservation;// 内存预留
    private Boolean memExpanReservation;// 内存可扩展预留
    private Long memLimit;// 内存限制
    private int memShares;// 内存份额值
    private String memShareLevel;// 内存份额(low低/normal正常/high高/custom自定义)
    private String vdcName;// 数据中心名称
    private String poolVal;// 资源池value

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the gmtModify
     */
    public Date getGmtModify() {
        return gmtModify;
    }

    /**
     * @param gmtModify the gmtModify to set
     */
    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }

    /**
     * @return the cpuReservation
     */
    public Long getCpuReservation() {
        return cpuReservation;
    }

    /**
     * @param cpuReservation the cpuReservation to set
     */
    public void setCpuReservation(Long cpuReservation) {
        this.cpuReservation = cpuReservation;
    }

    /**
     * @return the cpuExpanReservation
     */
    public Boolean getCpuExpanReservation() {
        return cpuExpanReservation;
    }

    /**
     * @param cpuExpanReservation the cpuExpanReservation to set
     */
    public void setCpuExpanReservation(Boolean cpuExpanReservation) {
        this.cpuExpanReservation = cpuExpanReservation;
    }

    /**
     * @return the cpuLimit
     */
    public Long getCpuLimit() {
        return cpuLimit;
    }

    /**
     * @param cpuLimit the cpuLimit to set
     */
    public void setCpuLimit(Long cpuLimit) {
        this.cpuLimit = cpuLimit;
    }

    /**
     * @return the cpuShares
     */
    public int getCpuShares() {
        return cpuShares;
    }

    /**
     * @param cpuShares the cpuShares to set
     */
    public void setCpuShares(int cpuShares) {
        this.cpuShares = cpuShares;
    }

    /**
     * @return the cpuShareLevel
     */
    public String getCpuShareLevel() {
        return cpuShareLevel;
    }

    /**
     * @param cpuShareLevel the cpuShareLevel to set
     */
    public void setCpuShareLevel(String cpuShareLevel) {
        this.cpuShareLevel = cpuShareLevel;
    }

    /**
     * @return the memReservation
     */
    public Long getMemReservation() {
        return memReservation;
    }

    /**
     * @param memReservation the memReservation to set
     */
    public void setMemReservation(Long memReservation) {
        this.memReservation = memReservation;
    }

    /**
     * @return the memExpanReservation
     */
    public Boolean getMemExpanReservation() {
        return memExpanReservation;
    }

    /**
     * @param memExpanReservation the memExpanReservation to set
     */
    public void setMemExpanReservation(Boolean memExpanReservation) {
        this.memExpanReservation = memExpanReservation;
    }

    /**
     * @return the memLimit
     */
    public Long getMemLimit() {
        return memLimit;
    }

    /**
     * @param memLimit the memLimit to set
     */
    public void setMemLimit(Long memLimit) {
        this.memLimit = memLimit;
    }

    /**
     * @return the memShares
     */
    public int getMemShares() {
        return memShares;
    }

    /**
     * @param memShares the memShares to set
     */
    public void setMemShares(int memShares) {
        this.memShares = memShares;
    }

    /**
     * @return the memShareLevel
     */
    public String getMemShareLevel() {
        return memShareLevel;
    }

    /**
     * @param memShareLevel the memShareLevel to set
     */
    public void setMemShareLevel(String memShareLevel) {
        this.memShareLevel = memShareLevel;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @return the oldName
     */
    public String getOldName() {
        return oldName;
    }

    /**
     * @param oldName the oldName to set
     */
    public void setOldName(String oldName) {
        this.oldName = oldName;
    }

    /**
     * @return the poolVal
     */
    public String getPoolVal() {
        return poolVal;
    }

    /**
     * @param poolVal the poolVal to set
     */
    public void setPoolVal(String poolVal) {
        this.poolVal = poolVal;
    }
}
